#
# spec file for package nagios-plugins-rsync
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:           nagios-plugins-rsync
Summary:        Nagios plugin for checking rsync servers availability
Version:        1.01
Release:        1.5
Url:            http://www.nagiosexchange.org/cgi-bin/page.cgi?g=Detailed%2F2094.html;d=1
License:        GPL v2 or any later
Group:          System/Monitoring
Source0:        check_rsync
%if 0%{?suse_version} > 1010
# nagios can execute the script with embedded perl
Recommends:     perl 
%endif
Requires:       rsync
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		    libexecdir %_prefix/lib/nagios/plugins

%description
Checks rsync servers availability, as well as (optionally) individual modules
availability. It also supports authentication on modules.

Usage: check_rsync -H  [-p ] [-m [,,] [-m [,,]...]] 

The only required argument is -H, in which case it will only try to list
modules on the Rsync server.

Authors:
--------
    Thomas Guyot-Sionnest <tguyot@gmail.com>


%prep

%build

%install
mkdir -p %buildroot/%{libexecdir}
sed -e "s|/usr/local/nagios/libexec|%{libexecdir}|g" %{SOURCE0} > %buildroot/%{libexecdir}/check_rsync
chmod +x %buildroot/%{libexecdir}/check_rsync

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
# avoid build dependecy of nagios - own the dirs
%dir %_prefix/lib/nagios
%dir %{libexecdir}
%{libexecdir}/check_rsync

%changelog
* Fri Jul 18 2008 lrupp@suse.de
- initial version 1.01
